Welcome, Guest. Please Login or Register.
November 24, 2017, 04:36:07 AM
Home Help Search Login Register
News: If you are still using YaBB SE, please consider upgrading to SMF as soon as possible.

YaBB SE Community  |  YaBB SE Info  |  News From the YaBB SE Team  |  Topic: 1.5.1 Final "bug/security" update package « previous next »
Pages: [1] 2 3 Reply Ignore Print
Author Topic: 1.5.1 Final "bug/security" update package  (Read 16069 times)
Nemesis
What's an Admin?
Global Moderator
YaBB God
*****
Posts: 2199



WWW
1.5.1 Final "bug/security" update package
« on: April 19, 2003, 01:09:10 AM »
Reply with quote

Please upgrade to 1.5.2.

Here are some bug fixes and a security update for YaBB SE 1.5.1.

All users are recommended to upgrade their boards to this fix. These packages fix a large security hole in YaBB SE 1.5.1 Final and a few reported bugs.

Before updating it is recommended to backup all files and db structure, just incase anything happens.

Changes:
  • fixed edit profile on windows servers.
  • fixed dutch uses wrong images.
  • fixed security hole.
  • fixed Printpage doesn't do nested quotes.
  • updated spanish new.gif.
  • readme.html no longer claims OSI certification.
  • readme.html doesn't tell you to upload files that you won't have.
Users can update their board using one of the three diffrent methods:
  • Traditional download and replace files. (Good for un-modded boards.)
http://www.yabbse.org/unknown/temp/yabbse_1-5-1_bugfix.zip
  • YaBB SE Package Manger.
http://www.yabbse.org/unknown/temp/yabbse_1-5-1_bugfix.mod.yp
  • Boardmod file

http://www.yabbse.org/unknown/temp/yabbse_1-5-1_bugfix.mod

Updated full package files will be uploaded to SF for clean installs within the next day or two.

Nemey
« Last Edit: April 27, 2003, 12:43:18 PM by David » Logged


Want to say thanks?
*************************************
DONATE or check out my WishList
*********************************
David
Destroyer Dave
Global Moderator
YaBB God
*****
Posts: 5761


I'm not a llama!


WWW
Re:1.5.1 Final "bug/security" update package 1
« Reply #1 on: April 19, 2003, 01:19:21 AM »
Reply with quote

Please be aware that if you choose to run the mod file you will also have to download the zip package for non-moded boards.  From this package you will have to upload new.gif and dutch.lng.  Also note that for the YaBB Pack you will have to manually download the file to your Packages directory.
« Last Edit: April 19, 2003, 01:22:32 AM by David » Logged

therczone
Noobie
*
Posts: 12


I'm a llama!


Re:1.5.1 Final "bug/security" update package 1
« Reply #2 on: April 19, 2003, 01:28:15 AM »
Reply with quote

How do I install it? where do I upload it? I downloaded the 2nd one. Where do I upload it to?
Logged
Armadillo
Noobie
*
Posts: 22


Medieval Warrior


Re:1.5.1 Final "bug/security" update package 1
« Reply #3 on: April 19, 2003, 01:31:13 AM »
Reply with quote

I just upgraded my board to 1.5.1 and was about to do my mods when I saw this.
I did the bug fix.
Now, a modding I shall go.
Logged

Everything should be made as simple as possible, but no simpler.
David
Destroyer Dave
Global Moderator
YaBB God
*****
Posts: 5761


I'm not a llama!


WWW
Re:1.5.1 Final "bug/security" update package 1
« Reply #4 on: April 19, 2003, 01:38:28 AM »
Reply with quote

How do I install it? where do I upload it? I downloaded the 2nd one. Where do I upload it to?
As I said in my post, upload it to your Packages folder.  Then goto your admin center -> YaBB Pack - > Browse YaBB Packs -> Then click on Apply Mod for this one.
Logged

silentbob
Jr. Member
**
Posts: 59


Sweep This!!


WWW
Re:1.5.1 Final "bug/security" update package 1
« Reply #5 on: April 19, 2003, 01:46:33 AM »
Reply with quote

thanx! d/l and installed... though.. update package 1.. <-- are we expecting more? should we hold off on modding?
Logged

First you wanna kill me, now you wanna kiss me... *spits* ... Blow.
David
Destroyer Dave
Global Moderator
YaBB God
*****
Posts: 5761


I'm not a llama!


WWW
Re:1.5.1 Final "bug/security" update package 1
« Reply #6 on: April 19, 2003, 01:49:43 AM »
Reply with quote

thanx! d/l and installed... though.. update package 1.. <-- are we expecting more? should we hold off on modding?
No, more should not be expected.  This should be the last release in the 1.x code line.
Logged

Nemesis
What's an Admin?
Global Moderator
YaBB God
*****
Posts: 2199



WWW
Re:1.5.1 Final "bug/security" update package
« Reply #7 on: April 19, 2003, 02:02:26 AM »
Reply with quote

If anything major is found we'll let everyone know, but we don't expect another package.

We place those names just in case there ever is a need for one, new security hole, major bug, etc...
Logged


Want to say thanks?
*************************************
DONATE or check out my WishList
*********************************
old dan
Full Member
***
Posts: 191


Make music, not war.


WWW
Re:1.5.1 Final "bug/security" update package
« Reply #8 on: April 19, 2003, 03:49:05 AM »
Reply with quote

Here are some bug fixes and a security update for YaBB SE 1.5.1.

All users are recommended to upgrade their boards to this fix. These packages fix a large security hole in YaBB SE 1.5.1 Final and a few reported bugs.

Before updating it is recommended to backup all files and db structure, just incase anything happens.

Changes:
  • fixed edit profile on windows servers.
  • fixed dutch uses wrong images.
  • fixed security hole.
  • fixed Printpage doesn't do nested quotes.
  • updated spanish new.gif.
  • readme.html no longer claims OSI certification.
  • readme.html doesn't tell you to upload files that you won't have.


Nemey
Well I don't care if it doesn't edit the profile right on Windows servers. The best fix would be to use a *nix server. ;)

My Dutch users (if any) say thanks. :)

Deleted news.php a long time ago.

Thanks :)

thanks for the new image. Don't know what it says but I bet Spanish folks do. :)

Too bad about the OSI certification. :(
Logged

People who drink lite beer don't like the taste of beer; they just like to pee a lot
A.M.A.
YaBB God
*****
Posts: 685


.:: :-) ::.


WWW
Re:1.5.1 Final "bug/security" update package
« Reply #9 on: April 19, 2003, 04:21:54 AM »
Reply with quote

Changes:
  • fixed security hole.
  • fixed Printpage doesn't do nested quotes.
  • readme.html no longer claims OSI certification.
  • readme.html doesn't tell you to upload files that you won't have.
Does that apply to 1.4.1?

cheer
Logged

acf [delete me]!
YaBB God
*****
Posts: 521


la especialidad de grafic


WWW
Re:1.5.1 Final "bug/security" update package
« Reply #10 on: April 19, 2003, 04:31:19 AM »
Reply with quote

Is this fix allread in the standard download of 1.5.1 or shout i if i download it still have to patch it?
Logged

Meriadoc
Rice Dancer
YaBB SE Developer
Sr. Member
****
Posts: 361



WWW
Re:1.5.1 Final "bug/security" update package
« Reply #11 on: April 19, 2003, 04:32:41 AM »
Reply with quote

Arab_ME - It's recommended you update from 1.4.1 to 1.5.1 Final, then make these changes (or when it is uploaded to SF go from there)
1.5.1 is more secure and stable as well as faster.
Logged

It is directions garbage other than this building, and forbid! A fine is obtained when illegal abandonment is carried out!!

It's nice to be a watermelon pig.
We can eat watermelon as much ass. we want. Because we live in watermelon hills.
[Unknown]
Global Moderator
YaBB God
*****
Posts: 7830



WWW
Re:1.5.1 Final "bug/security" update package
« Reply #12 on: April 19, 2003, 05:20:17 AM »
Reply with quote

Sourceforge has NOT been updated yet.

-[Unknown]
Logged
A.M.A.
YaBB God
*****
Posts: 685


.:: :-) ::.


WWW
Re:1.5.1 Final "bug/security" update package
« Reply #13 on: April 19, 2003, 05:27:58 AM »
Reply with quote

Arab_ME - It's recommended you update from 1.4.1 to 1.5.1 Final, then make these changes (or when it is uploaded to SF go from there)
1.5.1 is more secure and stable as well as faster.
Yes I know that, but my host did not upgrade PHP yet. And some folks still using the old version cause of the PHP restriction.

cheer
Logged

Mr._Unregistered
Noobie
*
Posts: 9


I'm a llama!


Re:1.5.1 Final "bug/security" update package
« Reply #14 on: April 19, 2003, 06:37:58 AM »
Reply with quote

I was just about to install supermod... how should I handle this update since I don't have anything installed currently?
Logged
Pages: [1] 2 3 Reply Ignore Print 
YaBB SE Community  |  YaBB SE Info  |  News From the YaBB SE Team  |  Topic: 1.5.1 Final "bug/security" update package « previous next »
 


Powered by MySQL Powered by PHP YaBB SE Community | Powered by YaBB SE
© 2001-2003, YaBB SE Dev Team. All Rights Reserved.
SMF 2.0.12 | SMF © 2016, Simple Machines
Valid XHTML 1.0! Valid CSS!
Page created in 0.119 seconds with 19 queries.